package com.os.mes.api.domain;


import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * ERP接口请求参数实体
 *
 * @Author YinQ
 * @create 2023-09-26 14:46
 */
public class ERPParamDto {

    private static final long serialVersionUID = 1L;

    /**
     * 应用代码
     */
    @JsonProperty(value = "AppCode")
    private String AppCode;

    /**
     * 控制器
     */
    @JsonProperty(value = "Controller")
    private String Controller;

    /**
     * 动作名称
     */
    @JsonProperty(value = "ActionName")
    private String ActionName;

    /**
     * 任务编号
     */
    @JsonProperty(value = "SeqNo")
    private String SeqNo;

    /**
     * 产品状态
     */
    @JsonProperty(value = "ProductStatus")
    private String ProductStatus;

    /**
     * 下单日期_开始时间
     */
    @JsonProperty(value = "OrderStartTime")
    private String OrderStartTime;

    /**
     * 下单日期_截止时间
     */
    @JsonProperty(value = "OrderEndTime")
    private String OrderEndTime;

    /**
     * 获取计划任务编号
     */
    @JsonProperty(value = "TaskCode")
    private String TaskCode;

    /**
     * 计划开始时间
     */
    @JsonProperty(value = "PlanStartTime")
    private String PlanStartTime;

    /**
     * 计划结束时间
     */
    @JsonProperty(value = "PlanEndTime")
    private String PlanEndTime;

    public String getPlanStartTime() {
        return PlanStartTime;
    }

    public void setPlanStartTime(String planStartTime) {
        PlanStartTime = planStartTime;
    }

    public String getPlanEndTime() {
        return PlanEndTime;
    }

    public void setPlanEndTime(String planEndTime) {
        PlanEndTime = planEndTime;
    }

    public String getTaskCode() {
        return TaskCode;
    }

    public void setTaskCode(String taskCode) {
        TaskCode = taskCode;
    }

    public String getAppCode() {
        return AppCode;
    }

    public void setAppCode(String appCode) {
        AppCode = appCode;
    }

    public String getController() {
        return Controller;
    }

    public void setController(String controller) {
        Controller = controller;
    }

    public String getActionName() {
        return ActionName;
    }

    public void setActionName(String actionName) {
        ActionName = actionName;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setSeqNo(String seqNo) {
        SeqNo = seqNo;
    }

    public String getProductStatus() {
        return ProductStatus;
    }

    public void setProductStatus(String productStatus) {
        ProductStatus = productStatus;
    }

    public String getOrderStartTime() {
        return OrderStartTime;
    }

    public void setOrderStartTime(String orderStartTime) {
        OrderStartTime = orderStartTime;
    }

    public String getOrderEndTime() {
        return OrderEndTime;
    }

    public void setOrderEndTime(String orderEndTime) {
        OrderEndTime = orderEndTime;
    }

    @Override
    public String toString() {
        return "ERPParamDto{" +
                "AppCode='" + AppCode + '\'' +
                ", Controller='" + Controller + '\'' +
                ", ActionName='" + ActionName + '\'' +
                ", SeqNo='" + SeqNo + '\'' +
                ", ProductStatus='" + ProductStatus + '\'' +
                ", OrderStartTime='" + OrderStartTime + '\'' +
                ", OrderEndTime='" + OrderEndTime + '\'' +
                '}';
    }
}
