package com.os.mes.report.service;

import java.util.HashMap;
import java.util.List;
import com.os.mes.report.domain.ReportBoardPort;

/**
 * 看板接口Service接口
 * 
 * @author Yinq
 * @date 2024-07-11
 */
public interface IReportBoardPortService 
{
    /**
     * 查询看板接口列表
     * 
     * @param reportBoardPort 看板接口
     * @return 看板接口集合
     */
    public List<ReportBoardPort> selectReportBoardPortList(ReportBoardPort reportBoardPort);


    /**
     * 首页看板接口
     * @param paramMap
     * @return
     */
    HashMap<String, Object> selectReportHomeBoard(HashMap<String, String> paramMap);

}
